Search dependencies - Bloomreach Experience - Open Source CMS

Search dependencies

lient-side search integration has the following requirements:

  • Your code must be in compliance with HTML5
  • jQuery 1.4+
  • BloomReach br-mob.js
Strong Recommendation
Load the JavaScript library (br-mob.js file) directly from the BloomReach-hosted server instead of hosting on your end. This method allows you to automatically benefit from enhancements made to the br-mob.js functionality without requiring code deployments. 

BloomReach provides br-mob.js to you. The file provides an autosuggest plugin that you can attach to a text input field. As a first step, make sure that all the required JavaScript files are available on the page. To do this, add the following script tags in the footer at the bottom of the page unless they're already present on the page:

Footer script tags:

<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.4.0/jquery.min.js"></script>
//jQuery version must be 1.4 or greater
   
<script type="text/javascript" src="//cdn.brcdn.com/brm/merchant_com/br-mob.js"></script>
//the full version of the file (properly formatted) is in the same path with filename br-mob.full.js
//we also provide staging copies in the same path named 'br-mob-PREVIEW-ONLY.js' and 'br-mob-PREVIEW-ONLY.full.js'
   
<script type="text/javascript" src="assets/render.js"></script>
//render.js contains logic for using br-mob.js functionality and rendering BloomReach-powered components
Did you find this page helpful?
How could this documentation serve you better?
On this page
    Did you find this page helpful?
    How could this documentation serve you better?